export const obfuscateMail = (mail: string) => {
  const [user, hostname] = mail.split('@');
  const obfuscatedUser =
    user.length < 4
      ? user[0] + new Array(user.length).join('.')
      : user[0] + new Array(user.length - 1).join('.') + user[user.length - 1];
  const obfuscatedHostname =
    hostname[0] +
    new Array(hostname.length - 1).join('.') +
    hostname[hostname.length - 1];
  return obfuscatedUser + '@' + obfuscatedHostname;
};
